.page-list-content {
  width: 100%;
  display: flex;
  gap: 20px;

  .filters {
    min-width: 300px;
  }

  .catalog {
    display: flex;
    flex-wrap: wrap;
    gap: 25px;
    justify-content: space-between;
    max-width: 1200px;
    margin: 0 auto;
    overflow: auto;
    padding: 20px;

    .card {
      border-radius: 15px;
      border: 1px solid var(--disabled-300);
      overflow: hidden;
      box-shadow: 5px 0px 6px var(--disabled-100);
      position: relative;
      max-width: 220px;
      position: relative;

      .menu {
        position: absolute;
        top: 10px;
        left: 10px;
      }

      .average {
        width: 50px;
        height: 50px;
        border-radius: 50%;
        background-color: #413d48;
        z-index: 1003;
        position: absolute;
        top: 10px;
        right: 10px;
        color: white;
        text-align: center;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-grow: 0;
        flex-shrink: 0;
        font-weight: 600;

        &::before {
          content: attr(average-vote);
          position: absolute;
          font-size: 12px;
        }

        svg {
          transform: rotate(-90deg);
          max-width: 100%;
          vertical-align: middle;
          width: 50px;
          height: 50px;

          .track {
            stroke: transparent;
            cx: 50px;
            cy: 50px;
            r: 40px;
            fill: transparent;
            stroke-width: 5px;
            transform: scale(0.5);
          }

          .indicator {
            @extend .track;
            stroke-dasharray: 251.2px;
            stroke-linecap: round;
          }
        }
      }

      .movie-info {
        padding: 10px;
        display: flex;
        flex-direction: column;
        gap: 10px;

        label {
          font-weight: 600;
          color: var(--text-color);
          font-size: 15px;
        }

        span {
          font-size: 13px;
          color: var(--disabled);
        }
      }
    }
  }
}
